<?php

declare(strict_types=1);

namespace Myvetshop\Module\Clinique\Serializer;

use Myvetshop\Module\Clinique\Generated\Jane\Model\ProductCategoriesGetResponse200Item;
use Myvetshop\Module\Clinique\Generated\Jane\Normalizer\ProductCategoriesGetResponse200ItemNormalizer;

/**
 * @extends AbstractReportingSerializer<ProductCategoriesGetResponse200Item>
 */
class ProductCategoryReportingSerializer extends AbstractReportingSerializer
{
    public static function getNormalizers(): array
    {
        return [new ProductCategoriesGetResponse200ItemNormalizer()];
    }

    public static function getModelClass(): string
    {
        return ProductCategoriesGetResponse200Item::class;
    }
}
